@import "@/styles/variables";

.admin-page-container {
    grid-column: 1 / -1;
    display: grid;
    gap: 1rem;
    justify-content: center;
    padding-bottom: 108px;

    @include smallscreen {
        margin-top: 3rem;
    }

    h1 {
        font-weight: 500;
        font-size: 32px;
    }
}

.data-container {
    justify-self: center;
    width: 100%;
    overflow-x: auto;
    max-width: 1408px;
    padding: 40px 16px 20px;

    .data-container-header {
        display: flex;
        padding: 0 0 20px;
        justify-content: space-between;
        gap: 1rem;
        width: 100%;

        &__title {
            display: flex;
            gap: 1.5rem;
        }

        &-search {
            max-width: 386px;
        }
    }

    .search-tablet {
        display: flex;
        padding: 16px 16px 20px 0;
        max-width: 48rem;

        @include smallscreen {
            display: none;
        }
    }
}

.page-nav {
    grid-column: 1 / -1;
    display: flex;
    justify-content: flex-start;
    list-style: none;
    background-color: white;
    border-top: 1px solid $gray-300;

    @include smallscreen {
        display: none;
    }

    a {
        text-decoration: none;
        padding: 0.5rem 1rem;

        &:hover,
        &:active,
        &:focus,
        &:focus-visible {
            text-decoration: none;
            border-bottom: 2px solid $blue-500;
            padding: 1rem;
            font-weight: 700;
        }
    }

    ul {
        display: flex;
        justify-content: flex-start;
        list-style: none;
    }

    li {
        padding: 1rem 0;
    }

    .active {
        border-bottom: 2px solid $blue-500;
        padding: 1rem !important;
        font-weight: 700;
    }
}

.button-container {
    display: flex;
    gap: 0.5rem;
    justify-content: flex-end;

    &__remove-button {
        width: 32px;
        height: 32px;
    }
}

.actions-header {
    display: flex;
    gap: 0.5rem;
    justify-content: flex-end;
}
